<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="kr.co.icontrols.ilp300_700"
    android:versionCode="1"
    android:versionName="2022.06.02.01">

    <application
        android:name="com.sensetime.demo.SenseTimeApp"
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@android:style/Theme.DeviceDefault.NoActionBar.Fullscreen">
        <activity
            android:name=".USBCameraActivity2"
            android:configChanges="orientation|keyboardHidden|screenSize|screenLayout|fontScale|uiMode|layoutDirection"
            android:hardwareAccelerated="true"
            android:label="@string/app_name"

            android:theme="@style/Theme.AppCompat.NoActionBar">
<!--            <intent-filter>-->
<!--                <action android:name="android.hardware.usb.action.USB_DEVICE_ATTACHED" />-->
<!--            </intent-filter>-->

<!--            <meta-data-->
<!--                android:name="android.hardware.usb.action.USB_DEVICE_ATTACHED"-->
<!--                android:resource="@xml/device_filter" />-->
        </activity>

        <activity
            android:name=".MainActivity"
            android:configChanges="orientation|keyboardHidden|screenSize|screenLayout|fontScale|uiMode"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.HOME" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <service
            android:name="cm.sip.hns.SIPStun"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="cm.sip.hns.SIPStun.StartService" />
            </intent-filter>
        </service>
        <service
            android:name=".fingerprint.FingerprintScanService"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="kr.co.icontrols.ilp300_700.fingerprint.FingerprintScanService.StartService" />
            </intent-filter>
        </service>
    </application>
    <uses-feature android:name="android.hardware.camera" />

    <uses-feature
        android:name="android.hardware.usb.host"
        android:required="true" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.CAMERA" />

    <uses-permission android:name="android.permission.REAL_GET_TASKS " />

</manifest>